Package Details: auto-complete 1.5.0-2

Git Clone URL: https://aur.archlinux.org/auto-complete.git (read-only)
Package Base: auto-complete
Description: An intelligent auto-completion extension for Emacs
Upstream URL: http://auto-complete.org/
Licenses: GPL3
Submitter: None
Maintainer: arthurzam
Last Packager: arthurzam
Votes: 46
Popularity: 1.385554
First Submitted: 2011-05-11 07:02
Last Updated: 2015-10-06 08:40

Latest Comments

yuki-san commented on 2015-10-05 09:07

Thank you for quick correspondence!

But, I encounter the following error on emacs after updating:

==========
Debugger entered--Lisp error: (file-error "Cannot open load file" "*****" "popup")
require(popup)
byte-code("\300\301!\210\300\302!\207" [require cl-lib popup] 2)
require(auto-complete)
byte-code("\300\301!\210\300\302!\207" [require cl-lib auto-complete] 2)
require(auto-complete-config)
eval((require (quote auto-complete-config)) nil)
eval-last-sexp-1(nil)
eval-last-sexp(nil)
call-interactively(eval-last-sexp nil nil)
command-execute(eval-last-sexp)
==========

This package depends on popup.el (https://github.com/auto-complete/popup-el).
I have submitted the package to AUR.
https://aur.archlinux.org/packages/emacs-popup-el/

Please add 'emacs-popup-el' to Dependencies.

Additionally, Description has to be revised in PKGBUILD.

yuki-san commented on 2015-10-04 03:54

Upstream URL returns 404.
It seems to be changed to
http://auto-complete.org/

Development of this packages is moved to github-base.
The latest release can be downloaded from the following:
https://github.com/auto-complete/auto-complete/archive/v1.5.0.tar.gz

Anonymous comment on 2013-05-15 04:10

Welcome to www.joyoauto.com

exterm commented on 2012-12-27 09:53

maybe emacs should be a dependency?

xgdgsc commented on 2012-11-06 08:33

why are you installing this without emacs?

aurelien commented on 2012-11-06 08:25

==> Validating source files with md5sums...
auto-complete-1.3.1.tar.bz2 ... Passed
==> Extracting Sources...
-> Extracting auto-complete-1.3.1.tar.bz2 with bsdtar
==> Starting build()...
emacs -Q -L . -batch -f batch-byte-compile *.el
/bin/sh: emacs: command not found
make: *** [byte-compile] Error 127
==> ERROR: A failure occurred in build().
Aborting...
==> ERROR: Build failed, check /home/chroot/root/build
==> ERROR: (libremakepkg): An unknown error has occurred. Exiting...

xgdgsc commented on 2012-08-30 02:16

Nothing wrong here:

$pacman -Ql auto-complete
auto-complete /usr/
auto-complete /usr/share/
auto-complete /usr/share/auto-complete/
auto-complete /usr/share/auto-complete/ac-dict/
auto-complete /usr/share/auto-complete/ac-dict/c++-mode
auto-complete /usr/share/auto-complete/ac-dict/c-mode
auto-complete /usr/share/auto-complete/ac-dict/clojure-mode
auto-complete /usr/share/auto-complete/ac-dict/css-mode
auto-complete /usr/share/auto-complete/ac-dict/java-mode
auto-complete /usr/share/auto-complete/ac-dict/javascript-mode
auto-complete /usr/share/auto-complete/ac-dict/php-mode
auto-complete /usr/share/auto-complete/ac-dict/python-mode
auto-complete /usr/share/auto-complete/ac-dict/ruby-mode
auto-complete /usr/share/auto-complete/ac-dict/scheme-mode
auto-complete /usr/share/auto-complete/ac-dict/tcl-mode
auto-complete /usr/share/auto-complete/auto-complete-config.el
auto-complete /usr/share/auto-complete/auto-complete-config.elc
auto-complete /usr/share/auto-complete/auto-complete.el
auto-complete /usr/share/auto-complete/auto-complete.elc
auto-complete /usr/share/auto-complete/fuzzy.el
auto-complete /usr/share/auto-complete/fuzzy.elc
auto-complete /usr/share/auto-complete/popup.el
auto-complete /usr/share/auto-complete/popup.elc
auto-complete /usr/share/emacs/
auto-complete /usr/share/emacs/site-lisp/
auto-complete /usr/share/emacs/site-lisp/auto-complete

TrueBers commented on 2012-08-29 17:34

Something wrong with installation path. It installs to /tmp. Check it please.